diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-settings.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-settings.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-settings.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-settings.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 32,47 ****
  @ini_set( 'magic_quotes_runtime', 0 );
  @ini_set( 'magic_quotes_sybase',  0 );
  
! // Set default timezone in PHP 5.
! if ( function_exists( 'date_default_timezone_set' ) )
! 	date_default_timezone_set( 'UTC' );
  
  // Turn register_globals off.
  wp_unregister_GLOBALS();
  
- // Ensure these global variables do not exist so they do not interfere with WordPress.
- unset( $wp_filter, $cache_lastcommentmodified );
- 
  // Standardize $_SERVER variables across setups.
  wp_fix_server_vars();
  
--- 32,43 ----
  @ini_set( 'magic_quotes_runtime', 0 );
  @ini_set( 'magic_quotes_sybase',  0 );
  
! // WordPress calculates offsets from UTC.
! date_default_timezone_set( 'UTC' );
  
  // Turn register_globals off.
  wp_unregister_GLOBALS();
  
  // Standardize $_SERVER variables across setups.
  wp_fix_server_vars();
  
***************
*** 138,143 ****
--- 134,140 ----
  require( ABSPATH . WPINC . '/update.php' );
  require( ABSPATH . WPINC . '/canonical.php' );
  require( ABSPATH . WPINC . '/shortcodes.php' );
+ require( ABSPATH . WPINC . '/class-wp-embed.php' );
  require( ABSPATH . WPINC . '/media.php' );
  require( ABSPATH . WPINC . '/http.php' );
  require( ABSPATH . WPINC . '/class-http.php' );
***************
*** 232,238 ****
   * @global object $wp_query
   * @since 1.5.0
   */
! $wp_query =& $wp_the_query;
  
  /**
   * Holds the WordPress Rewrite object for creating pretty URLs
--- 229,235 ----
   * @global object $wp_query
   * @since 1.5.0
   */
! $wp_query = $wp_the_query;
  
  /**
   * Holds the WordPress Rewrite object for creating pretty URLs
***************
*** 255,260 ****
--- 252,264 ----
   */
  $GLOBALS['wp_widget_factory'] = new WP_Widget_Factory();
  
+ /**
+  * WordPress User Roles
+  * @global object $wp_roles
+  * @since 2.0.0
+  */
+ $GLOBALS['wp_roles'] = new WP_Roles();
+ 
  do_action( 'setup_theme' );
  
  // Define the template related constants.
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-signup.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-signup.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-signup.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-signup.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 23,29 ****
  }
  
  if ( !is_main_site() ) {
! 	wp_redirect( network_home_url( 'wp-signup.php' ) );
  	die();
  }
  
--- 23,29 ----
  }
  
  if ( !is_main_site() ) {
! 	wp_redirect( network_site_url( 'wp-signup.php' ) );
  	die();
  }
  
***************
*** 390,400 ****
  if ( $active_signup == 'none' ) {
  	_e( 'Registration has been disabled.' );
  } elseif ( $active_signup == 'blog' && !is_user_logged_in() ) {
! 	if ( is_ssl() )
! 		$proto = 'https://';
! 	else
! 		$proto = 'http://';
! 	$login_url = site_url( 'wp-login.php?redirect_to=' . urlencode($proto . $_SERVER['HTTP_HOST'] . '/wp-signup.php' ));
  	echo sprintf( __( 'You must first <a href="%s">log in</a>, and then you can create a new site.' ), $login_url );
  } else {
  	$stage = isset( $_POST['stage'] ) ?  $_POST['stage'] : 'default';
--- 390,396 ----
  if ( $active_signup == 'none' ) {
  	_e( 'Registration has been disabled.' );
  } elseif ( $active_signup == 'blog' && !is_user_logged_in() ) {
! 	$login_url = site_url( 'wp-login.php?redirect_to=' . urlencode( network_site_url( 'wp-signup.php' ) ) );
  	echo sprintf( __( 'You must first <a href="%s">log in</a>, and then you can create a new site.' ), $login_url );
  } else {
  	$stage = isset( $_POST['stage'] ) ?  $_POST['stage'] : 'default';
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/xmlrpc.php /home/packages/code/qi/SOURCES/wordpress-3.5/xmlrpc.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/xmlrpc.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/xmlrpc.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 42,48 ****
        <api name="Movable Type" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="MetaWeblog" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="Blogger" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
!       <api name="Atom" blogID="" preferred="false" apiLink="<?php echo site_url('wp-app.php/service', 'rpc') ?>" />
      </apis>
    </service>
  </rsd>
--- 42,48 ----
        <api name="Movable Type" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="MetaWeblog" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="Blogger" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
!       <?php do_action( 'xmlrpc_rsd_apis' ); ?>
      </apis>
    </service>
  </rsd>
